// Code generated by protoc-gen-go. DO NOT EDIT.
// source: api/verison/version.proto

package version

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import timestamp "github.com/golang/protobuf/ptypes/timestamp"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type GetVersionRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetVersionRequest) Reset()         { *m = GetVersionRequest{} }
func (m *GetVersionRequest) String() string { return proto.CompactTextString(m) }
func (*GetVersionRequest) ProtoMessage()    {}
func (*GetVersionRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_version_d62e3a25fecc7bf4, []int{0}
}
func (m *GetVersionRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetVersionRequest.Unmarshal(m, b)
}
func (m *GetVersionRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetVersionRequest.Marshal(b, m, deterministic)
}
func (dst *GetVersionRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetVersionRequest.Merge(dst, src)
}
func (m *GetVersionRequest) XXX_Size() int {
	return xxx_messageInfo_GetVersionRequest.Size(m)
}
func (m *GetVersionRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetVersionRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetVersionRequest proto.InternalMessageInfo

type GetVersionResponse struct {
	Version              *Version `protobuf:"bytes,1,opt,name=Version,proto3" json:"Version,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetVersionResponse) Reset()         { *m = GetVersionResponse{} }
func (m *GetVersionResponse) String() string { return proto.CompactTextString(m) }
func (*GetVersionResponse) ProtoMessage()    {}
func (*GetVersionResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_version_d62e3a25fecc7bf4, []int{1}
}
func (m *GetVersionResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetVersionResponse.Unmarshal(m, b)
}
func (m *GetVersionResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetVersionResponse.Marshal(b, m, deterministic)
}
func (dst *GetVersionResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetVersionResponse.Merge(dst, src)
}
func (m *GetVersionResponse) XXX_Size() int {
	return xxx_messageInfo_GetVersionResponse.Size(m)
}
func (m *GetVersionResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetVersionResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetVersionResponse proto.InternalMessageInfo

func (m *GetVersionResponse) GetVersion() *Version {
	if m != nil {
		return m.Version
	}
	return nil
}

type Version struct {
	SemVer               string               `protobuf:"bytes,1,opt,name=sem_ver,json=semVer,proto3" json:"sem_ver,omitempty"`
	Timestamp            *timestamp.Timestamp `protobuf:"bytes,2,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
	GitCommit            string               `protobuf:"bytes,3,opt,name=git_commit,json=gitCommit,proto3" json:"git_commit,omitempty"`
	GitTreeState         string               `protobuf:"bytes,4,opt,name=git_tree_state,json=gitTreeState,proto3" json:"git_tree_state,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *Version) Reset()         { *m = Version{} }
func (m *Version) String() string { return proto.CompactTextString(m) }
func (*Version) ProtoMessage()    {}
func (*Version) Descriptor() ([]byte, []int) {
	return fileDescriptor_version_d62e3a25fecc7bf4, []int{2}
}
func (m *Version) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Version.Unmarshal(m, b)
}
func (m *Version) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Version.Marshal(b, m, deterministic)
}
func (dst *Version) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Version.Merge(dst, src)
}
func (m *Version) XXX_Size() int {
	return xxx_messageInfo_Version.Size(m)
}
func (m *Version) XXX_DiscardUnknown() {
	xxx_messageInfo_Version.DiscardUnknown(m)
}

var xxx_messageInfo_Version proto.InternalMessageInfo

func (m *Version) GetSemVer() string {
	if m != nil {
		return m.SemVer
	}
	return ""
}

func (m *Version) GetTimestamp() *timestamp.Timestamp {
	if m != nil {
		return m.Timestamp
	}
	return nil
}

func (m *Version) GetGitCommit() string {
	if m != nil {
		return m.GitCommit
	}
	return ""
}

func (m *Version) GetGitTreeState() string {
	if m != nil {
		return m.GitTreeState
	}
	return ""
}

func init() {
	proto.RegisterType((*GetVersionRequest)(nil), "api.version.GetVersionRequest")
	proto.RegisterType((*GetVersionResponse)(nil), "api.version.GetVersionResponse")
	proto.RegisterType((*Version)(nil), "api.version.Version")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// VersionServiceClient is the client API for VersionService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type VersionServiceClient interface {
	GetVersion(ctx context.Context, in *GetVersionRequest, opts ...grpc.CallOption) (*GetVersionResponse, error)
}

type versionServiceClient struct {
	cc *grpc.ClientConn
}

func NewVersionServiceClient(cc *grpc.ClientConn) VersionServiceClient {
	return &versionServiceClient{cc}
}

func (c *versionServiceClient) GetVersion(ctx context.Context, in *GetVersionRequest, opts ...grpc.CallOption) (*GetVersionResponse, error) {
	out := new(GetVersionResponse)
	err := c.cc.Invoke(ctx, "/api.version.VersionService/GetVersion", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// VersionServiceServer is the server API for VersionService service.
type VersionServiceServer interface {
	GetVersion(context.Context, *GetVersionRequest) (*GetVersionResponse, error)
}

func RegisterVersionServiceServer(s *grpc.Server, srv VersionServiceServer) {
	s.RegisterService(&_VersionService_serviceDesc, srv)
}

func _VersionService_GetVersion_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetVersionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VersionServiceServer).GetVersion(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.version.VersionService/GetVersion",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VersionServiceServer).GetVersion(ctx, req.(*GetVersionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _VersionService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "api.version.VersionService",
	HandlerType: (*VersionServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetVersion",
			Handler:    _VersionService_GetVersion_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "api/verison/version.proto",
}

func init() { proto.RegisterFile("api/verison/version.proto", fileDescriptor_version_d62e3a25fecc7bf4) }

var fileDescriptor_version_d62e3a25fecc7bf4 = []byte{
	// 273 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x74, 0x90, 0x41, 0x4b, 0xc3, 0x40,
	0x10, 0x85, 0x8d, 0x4a, 0x43, 0xa6, 0x52, 0x70, 0x15, 0x8c, 0x01, 0xad, 0x04, 0x0f, 0x9e, 0x36,
	0x50, 0x2f, 0x9e, 0x55, 0xf0, 0x28, 0xa4, 0xa5, 0x07, 0x2f, 0x21, 0x2d, 0x63, 0x18, 0x70, 0xb3,
	0xeb, 0xee, 0x34, 0xff, 0xc7, 0x7f, 0x2a, 0xd9, 0x24, 0x6d, 0x45, 0x7a, 0x5a, 0x78, 0xef, 0x9b,
	0xd9, 0xf7, 0x06, 0xae, 0x4b, 0x43, 0x59, 0x83, 0x96, 0x9c, 0xae, 0xdb, 0xd7, 0x91, 0xae, 0xa5,
	0xb1, 0x9a, 0xb5, 0x18, 0x97, 0x86, 0x64, 0x2f, 0x25, 0xd3, 0x4a, 0xeb, 0xea, 0x0b, 0x33, 0x6f,
	0xad, 0x36, 0x9f, 0x19, 0x93, 0x42, 0xc7, 0xa5, 0x32, 0x1d, 0x9d, 0x5e, 0xc0, 0xf9, 0x1b, 0xf2,
	0xb2, 0xc3, 0x73, 0xfc, 0xde, 0xa0, 0xe3, 0xf4, 0x15, 0xc4, 0xbe, 0xe8, 0x8c, 0xae, 0x1d, 0x0a,
	0x09, 0x61, 0x2f, 0xc5, 0xc1, 0x5d, 0xf0, 0x30, 0x9e, 0x5d, 0xca, 0xbd, 0xaf, 0xe4, 0x80, 0x0f,
	0x50, 0xfa, 0x13, 0x6c, 0x07, 0xc4, 0x15, 0x84, 0x0e, 0x55, 0xd1, 0xa0, 0xf5, 0xb3, 0x51, 0x3e,
	0x72, 0xa8, 0x96, 0x68, 0xc5, 0x13, 0x44, 0xdb, 0x48, 0xf1, 0xb1, 0x5f, 0x9b, 0xc8, 0x2e, 0xb4,
	0x1c, 0x42, 0xcb, 0xc5, 0x40, 0xe4, 0x3b, 0x58, 0xdc, 0x00, 0x54, 0xc4, 0xc5, 0x5a, 0x2b, 0x45,
	0x1c, 0x9f, 0xf8, 0xad, 0x51, 0x45, 0xfc, 0xe2, 0x05, 0x71, 0x0f, 0x93, 0xd6, 0x66, 0x8b, 0x58,
	0x38, 0x2e, 0x19, 0xe3, 0x53, 0x8f, 0x9c, 0x55, 0xc4, 0x0b, 0x8b, 0x38, 0x6f, 0xb5, 0x59, 0x09,
	0x93, 0x3e, 0xe2, 0x1c, 0x6d, 0x43, 0x6b, 0x14, 0xef, 0x00, 0xbb, 0xee, 0xe2, 0xf6, 0x4f, 0xc5,
	0x7f, 0x97, 0x4a, 0xa6, 0x07, 0xfd, 0xee, 0x68, 0xe9, 0xd1, 0x73, 0xf4, 0x11, 0xf6, 0xfe, 0x6a,
	0xe4, 0x1b, 0x3d, 0xfe, 0x06, 0x00, 0x00, 0xff, 0xff, 0x0e, 0x8e, 0xc4, 0xb7, 0xbe, 0x01, 0x00,
	0x00,
}
